textures/streetz/sky
{
	qer_editorimage textures/streetz/sky.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	// old
	//q3map_sun 242 205 133 500 130 80
	//q3map_lightRGB 242 205 133
	//q3map_surfacelight 275
 	// new
	q3map_sunExt 242 205 133 500 130 80 3 16
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 100 3
    q3map_backsplash 0 0
    skyparms env/turnpike/tp_sky2 - -
}


textures/streetz/ladder
{
   qer_editorimage textures/streetz/ladder.jpg
   qer_trans .40
   surfaceparm ladder
   surfaceparm nodraw
   surfaceparm nolightmap
   surfaceparm nonsolid
   surfaceparm trans
   surfaceparm nomarks
   surfaceparm noimpact
   surfaceparm playerclip
}

textures/streetz/fluor
{
   qer_editorimage textures/streetz/fluor.jpg
   q3map_surfacelight 10000
   {
	   map textures/streetz/fluor.jpg
   }
}

// decals
textures/streetz/justme
{
	surfaceparm noimpact
	surfaceparm nosolid
	surfaceparm trans
	polygonoffset
	qer_editorimage textures/streetz/justme.tga
	{
		map textures/streetz/justme.tga
		blendfunc filter
	}
}

textures/streetz/graffitimask
{
	surfaceparm noimpact
	surfaceparm nosolid
	surfaceparm trans
	polygonoffset
	qer_editorimage textures/streetz/graffitimask.jpg
	{
		map textures/streetz/graffitimask.jpg
		blendfunc filter
	}
}

textures/streetz/trak4_trak_exit
{
	surfaceparm noimpact
	surfaceparm nosolid
	surfaceparm trans
	polygonoffset
	qer_editorimage textures/streetz/trak4_trak_exit.tga
	{
		map textures/streetz/trak4_trak_exit.tga
		blendfunc filter
	}
}

textures/streetz/trak_rustdecal1
{
	surfaceparm noimpact
	surfaceparm nosolid
	surfaceparm trans
	polygonoffset
	{
		map textures/streetz/trak_rustdecal1.tga
		blendfunc filter
	}
}

// http://gotdelirium.com/stuff/articles_8.html
textures/streetz/water
{

      qer_editorimage textures/streetz/water.tga
      qer_trans 0.5
      q3map_globaltexture
      q3map_cheapwater 1 0.9 0.9 1

      surfaceparm trans
      surfaceparm noimpact
      surfaceparm nolightmap
      surfaceparm nomarks
      surfaceparm nodlight
      surfaceparm water

      cull disable
      nopicmip
      {
            map textures/streetz/water.tga
            blendFunc gl_dst_color gl_one
            rgbGen identity
            tcMod scale 0.5 0.5
            tcMod turb 0.1 0.1 0.1 0.1
      }
      {
            map textures/streetz/water.tga
            blendFunc gl_dst_color gl_one
            rgbGen identity
            tcMod scroll 0.05 -0.01
      }
      {
            map textures/streetz/water.tga
            blendFunc gl_dst_color gl_one
            rgbGen identity
            tcMod scale 2 2
            tcMod turb 0 0.1 1 0.1
      }

}

textures/streetz/water2
{

      qer_editorimage textures/streetz/water.tga
      qer_trans 0.5
      q3map_globaltexture
      q3map_cheapwater 1 0.9 0.9 1

      surfaceparm trans
      surfaceparm noimpact
      surfaceparm nolightmap
      surfaceparm nomarks
      surfaceparm nodlight
      surfaceparm water

      cull disable
      nopicmip
      //fogparms ( 0.1 0.23 0.14 ) 1024
      {
            map textures/streetz/water.tga
            blendFunc blend
            alphaGen const 0.1
            rgbGen identity
            tcMod scale 0.5 0.5
            tcMod turb 0.1 0.1 0.1 0.1
      }
      {
            map textures/streetz/water.tga
            blendFunc blend
            alphaGen const 0.1
            rgbGen identity
            tcMod scroll 0.05 -0.01
      }
      {
            map textures/streetz/water.tga
            blendFunc blend
            alphaGen const 0.1
            rgbGen identity
            tcMod scale 2 2
            tcMod turb 0 0.1 1 0.1
      }

}

// models
models/streetz/br_flowers1/br_flower1
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow
	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map models/streetz/br_flowers1/br_flower1.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/streetz/br_flowers1/br_leaf1
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow
	q3map_surfacelight 30
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map models/streetz/br_flowers1/br_leaf1.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


// experimental
textures/streetz/stilefloor
{
	qer_editorimage textures/streetz/stilefloor.jpg
	q3map_lightmapBrightness 2.0
	portal
	{
//		map textures/streetz/tint.tga
		map textures/streetz/tinfx.jpg
		blendfunc add
		rgbgen identity
		tcgen environment
	}
	{
		map textures/streetz/tile.tga
		blendfunc gl_one gl_one_minus_src_alpha
		rgbgen identitylighting
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthWrite
		alphaGen portal 50
	}
}

// cheap reflection
textures/streetz/reflect
{
	qer_editorimage textures/streetz/reflect.jpg
//	q3map_lightmapBrightness 5.0
	surfaceparm noimpact
	surfaceparm nosolid
	surfaceparm trans
	polygonoffset
	{
//		map textures/streetz/tint.tga
		map textures/streetz/tinfx.jpg
		blendfunc filter
		tcgen environment
		alphagen const 70
	}
}

